Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP.pidl File Reference

Pre-compiled IDL source for the IOP module. More...

`#include "IOP_IOR.pidl"`
`#include "IOP_Codec.pidl"`

Include dependency graph for IOP.pidl:

This graph shows which files directly or indirectly include this file:

## Detailed Description

Pre-compiled IDL source for the IOP module.

Id:
  IOP.pidl,v 1.16 2003/10/28 18:29:14 bala Exp

This file is used to generate IOPC.{h,i,cpp}, using the following command:

tao_idl.exe -o orig -St -Sp -Ge 1 -Wb,export_macro=TAO_Export -Wb,export_include=TAO_Export.h -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" IOP.pidl

and then:

cp orig/IOPC.{h,i,cpp} . patch < diffs/IOP.diff

The code left in IOPC.{h,i,cpp} is ready for use.